/*
Theme Name: twenty twenty-Five Child
Theme URI: 
Author: PAvB
Author URI: 
Description: Das ist Child-Theme für twenty twenty-Five
Requires at least: 6.8
Tested up to: 6.8
Requires PHP: 5.7
Version: 
License: GNU General Public License v2 or later
License URI: http://www.gnu.org/licenses/gpl-2.0.html
Template: twentytwentyfive
Text Domain: twenty-twenty-five-child
Tags: 
*/

/*
PAvB CSS
*/

/*
SUCHBUTTON im Header
*/
/*
Bestimmt die Größe des Such-Buttons
*/
.wp-element-button {
padding-top:0px;
padding-bottom:0px;
padding-right:10px;
padding-left:10px
}
/*
Bestimmt (?) das Padding des Such-Feldes
*/
.wp-block-search .wp-block-search__input {
padding-top: 0;
padding-bottom: 0;
padding-left: 0px;
padding-right: 8px
}
/*
Bestimmt u.a. die Farbe des Such-Feldes
*/
.wp-block-search.is-style-tw-underline .wp-block-search__input {
background: transparent;
    background-color: #f7f0df;
    background-position-x: 0%;
    background-position-y: 0%;
    background-repeat: repeat;
    background-attachment: scroll;
    background-image: none;
    background-size: auto;
    background-origin: padding-box;
    background-clip: border-box;
  color: currentcolor
}
/* TEST */
/* Footer unten halten */
html, body {
  height: 100%;
  margin: 0;
}

.wp-site-blocks {
  min-height: 100vh;        /* Seite mindestens Viewport-Höhe */
  display: flex;
  flex-direction: column;    /* Header → Content → Footer stapeln */
}

main {
  flex: 1;                   /* Content füllt den freien Platz */
}

/* ----- */
